/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: objects.c 1.3 89/10/10 $@(#)graf:src/dev.d/tek4000.d/ged.d/objects.c	1.2"
/* <: t-5 d :> */
#include <stdio.h>
#include "ged.h"

objects(arptr,dbuf,endbuf)
struct area *arptr;
int *dbuf, *endbuf;
{
	struct command cd;
	int x, y, *getgeds();
/*
 *  objects reads buffer and labels objects for 
 *  any commands that fall within defined area 
 */
	while( (dbuf=getgeds(dbuf,endbuf,&cd))!=NULL ) {
		if(cd.cmd==COMMENT) continue;
		if( inarea(x=(*cd.aptr), y=(*(cd.aptr+1)), arptr) ) {
			unscaleoff(&x,&y);
			putcraw('O',x,y);
		}
	}
	return;
}
